appargs.h(3)

NAME
appargs.h -

application arguments processor header

SYNOPSIS

#include <cstring>
#include <map>
#include <deque>

  Classes
struct AppArgOption_t
Argument option type'.
class AppArgs
Application arguments'.

  Defines
#define APPARGS_NOLIMIT 0x7fffffff
value count has no limit

  Typedefs
typedef std::map< std::string,
AppArgOption_t * > AA_LONG_MAP"
Mapping from long option name to option data'.
typedef std::map< char,
AppArgOption_t * > AA_SHORT_MAP"
Mapping from short option name to option data'.
typedef std::deque< std::string > AA_VAL_LIST
Value list type'.

  Enumerations
enum AppArgType_t { AAT_NO_VALUE, AAT_OPTIONAL_VALUE, AAT_MANDATORY_VALUE }
Option argument type'.

Detailed Description

application arguments processor header application arguments processor

Copyright (C) 2007, 2008 Lukas Jelinek, <lukas@aiken.cz>

This program is free software; you can redistribute it and/or modify it under the terms of one of the following licenses:

•   1'. X11-style license (see LICENSE-X11)
•   2'. GNU Lesser General Public License, version 2'.1 (see LICENSE-LGPL)
•   3'. GNU General Public License, version 2 (see LICENSE-GPL)
If you want to help with choosing the best license for you, please visit http://www.gnu.org/licenses/license-list.html.

Define Documentation

  #define APPARGS_NOLIMIT 0x7fffffff
value count has no limit

Typedef Documentation

  typedef std::map<std::string, AppArgOption_t*> AA_LONG_MAP
Mapping from long option name to option data'.

  typedef std::map<char, AppArgOption_t*> AA_SHORT_MAP
Mapping from short option name to option data'.

  typedef std::deque<std::string> AA_VAL_LIST
Value list type'.

Enumeration Type Documentation

  enum AppArgType_t
Option argument type'.
Enumerator:
AAT_NO_VALUE
    no value needed
AAT_OPTIONAL_VALUE
    optional value
AAT_MANDATORY_VALUE
    mandatory value

Author
Generated automatically by Doxygen for incron from the source code'.